Create Dataprovider

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/dataprovider
API call form
Examples
List of examples
  • Adding PostgreSQL datasets using an already existing account
  • Adding AWS Athena datasets using an already existing account.
  • Adding Clickhouse datasets using an already existing account.
  • Adding Clickhouse SQL datasets using an already existing account.
  • Adding BigQuery datasets using an already existing account
  • Adding BigQuery SQL datasets using an already existing account
  • Adding Databricks datasets using an already existing account
  • Adding ElasticSearch datasets using an already existing account.
  • Adding MariaDB datasets using an already existing account
  • Adding MariaDB SQL datasets using an already existing account
  • Adding MongoDB datasets using an already existing account
  • Adding MySQL datasets using an already existing account
  • Adding MySQL SQL datasets using an already existing account
  • Adding Oracle datasets using an already existing account
  • Adding PostgreSQL datasets using an already existing account
  • Adding PostgreSQL SQL datasets using an already existing account
  • Adding Presto datasets using an already existing account.
  • Adding Presto datasets using an already existing account.
  • Adding Redshift datasets using an already existing account
  • Adding Redshift SQL datasets using an already existing account
  • Adding SAP Hana datasets using an already existing account
  • Adding Snowflake datasets using an already existing account
  • Adding Snowflake SQL datasets using an already existing account
  • Adding SQL Server datasets using an already existing account
  • Adding SQL Server SQL datasets using an already existing account
  • Adding Azure Synapse datasets using an already existing account
  • Adding Trino datasets using an already existing account.
  • Adding Trino datasets using an already existing account.
  • Adding Plugin datasets using an already existing account
Description

Add two PostgreSQL-backed datasets, using an account that exists. This will create the Securable and Column entities and make them available for querying. The fields to be specified are:

  • Connection ID: The ID of the Connection. Retrieve the ID to specify as detailed here

  • provider: postgresql

  • tables: array of one or multiple datasets you would like to add.

    • For direct table import, specify an object containing the table and schema for the dataset.

    • For SQL datasets, specify an object containing the internationalized name and sql for the dataset.

Install
pip install luzmo-sdk
Example Response
200
400
500
[
  {
    "count": 2,
    "data": [
      {
        "rows": 0,
        "featured": false,
        "modified_at": "2024-04-08T13:39:27.167Z",
        "cache": 0,
        "meta_sync_interval": 1,
        "meta_sync_inherit": true,
        "meta_sync_enabled": true,
        "id": "a5378899-63db-422d-9cf5-7a8d8033278f",
        "type": "dataset",
        "account_id": "124b0b05-0c6a-4019-b96d-6c3a922acfaa",
        "source_dataset": "124b0b05-0c6a-4019-b96d-6c3a922acfaa",
        "subtype": "postgres",
        "storage": "client",
        "name": {
          "en": "burritos"
        },
        "source_sheet": "public.burritos",
        "updated_at": "2024-04-08T13:39:27.175Z",
        "created_at": "2024-04-08T13:39:27.167Z",
        "last_metadata_sync_attempt_at": "2024-04-08T13:39:27.167Z",
        "modifier_id": "3dd681ff-46e4-4206-92ea-12262c9d3048",
        "owner_id": "3dd681ff-46e4-4206-92ea-12262c9d3048"
      },
      {
        "rows": 0,
        "featured": false,
        "modified_at": "2024-04-08T13:39:27.167Z",
        "cache": 0,
        "meta_sync_interval": 1,
        "meta_sync_inherit": true,
        "meta_sync_enabled": true,
        "id": "a5378899-63db-422d-9cf5-7a8d8033278f",
        "type": "dataset",
        "account_id": "124b0b05-0c6a-4019-b96d-6c3a922acfaa",
        "source_dataset": "124b0b05-0c6a-4019-b96d-6c3a922acfaa",
        "subtype": "postgres",
        "storage": "client",
        "name": {
          "en": "burrito_shops"
        },
        "source_sheet": "public.burrito_shops",
        "updated_at": "2024-04-08T13:39:27.175Z",
        "created_at": "2024-04-08T13:39:27.167Z",
        "last_metadata_sync_attempt_at": "2024-04-08T13:39:27.167Z",
        "modifier_id": "3dd681ff-46e4-4206-92ea-12262c9d3048",
        "owner_id": "3dd681ff-46e4-4206-92ea-12262c9d3048"
      }
    ]
  }
]